Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | Private Attributes | Static Private Attributes | List of all members
ACG::GlutViewer Class Referenceabstract

`#include <ACG/Glut/GlutViewer.hh>`

Inheritance diagram for ACG::GlutViewer:

## Public Member Functions
| GlutViewer (const char *_title, int _width, int _height)

## Protected Member Functions
virtual void | draw ()=0
virtual void | display (void)
virtual void | idle (void)
virtual void | keyboard (int key, int x, int y)
virtual void | motion (int x, int y)
virtual void | mouse (int button, int state, int x, int y)
virtual void | passivemotion (int x, int y)
virtual void | reshape (int w, int h)
virtual void | visibility (int visible)
void | update_projection ()

## Protected Attributes
GLState | glstate_
int | width_
int | height_
GLfloat | near_
GLfloat | far_
GLfloat | fovy_

## Private Member Functions
void | init ()

## Static Private Member Functions
static void | display__ (void)
static void | idle__ (void)
static void | keyboard__ (unsigned char key, int x, int y)
static void | motion__ (int x, int y)
static void | mouse__ (int button, int state, int x, int y)
static void | passivemotion__ (int x, int y)
static void | reshape__ (int w, int h)
static void | special__ (int key, int x, int y)
static void | visibility__ (int visible)
static GlutViewer * | current_window ()

## Private Attributes
int | windowID_
bool | fullscreen_
int | bak_left_
int | bak_top_
int | bak_width_
int | bak_height_

## Static Private Attributes
static std::map< int, GlutViewer * > | windows__

## Detailed Description

Simple Glut viewer. Based on C++ glut interface of George Stetten and Korin Crawford.

Definition at line 86 of file GlutViewer.hh.

The documentation for this class was generated from the following files:

- ACG/Glut/GlutViewer.hh
- ACG/Glut/GlutViewer.cc